/*iSno External CSS*/
/*For HKD Tracker*/

/*id selectors*/

#iSno_Login {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 345px;
    height: 245px;
    z-index: 100;
    margin: auto;
    position: absolute;
    display: block;
}

#iSno_Site {
    left: 0px; 
    top: 0px; 
    width: 1920px; 
    height: 100%; /*935px;*/ 
    position: absolute; 
    border-style: none;
    z-index: 1;
}

#Navigation_Bar {
    left: 0px; 
    top: 0px; 
    width: 100%; 
    height: 56px; 
    z-index: 1000; 
    position: sticky; 
    background-color: rgba(0,0,0,.5); 
}

#User_Panel {
    width: 550px;
    height: 42px;
    z-index: 1000;
    border-radius: 5px;
    background-repeat: no-repeat;
    background-position: 6px 4px;
    background-image: url('../Images/iSno_Logo_2.png');
    display:inline;
    float:left;
    padding: 0px;
    border: 1px solid #FF9900;
    margin: 6px;
}

#Server_DT {
    left: 175px; 
    top: 2px; 
    width: 175px; 
    height: 16px; 
    border-style: none; 
    font-weight: bold; 
    font-size: 10pt; 
    z-index: 104; 
    vertical-align: middle; 
    color: #FFFFFF; 
    font-family: Verdana; 
    position: relative; 
    background-color: transparent; 
    text-align: center; 
    border-radius: 5px;
    margin-left: 2px;
}

#Username_Label {
    left: 175px;
    width: 130px;
    height: 16px;
    border-style: none;
    font-weight: normal;
    font-size: 10pt;
    z-index: 114;
    vertical-align: middle;
    color: #FFFFFF;
    font-family: verdana;
    position: relative;
    background-color: transparent;
    text-align: left;
    display: block;
    margin: 2px;
}

#Current_User {
    left: 280px;
    top: 28px;
    width: 110px;
    z-index: 1000;
    vertical-align: middle;
    text-align: left;
    border-radius: 5px;
    font-family: verdana;
    font-size: 10pt;
    color: yellow;
    background-color: transparent;
    border-style: none;
    height: 16px;
    position: absolute;
    display: block;
    float: left;
}

#Flow_Management_Panel {
    left: 5px; 
    height: 42px;
    width: 410px;
    z-index: 1000;
    border-radius: 5px;
    background-repeat: no-repeat;
    background-position: 6px 3px;
    padding: 0px;
    border: 1px solid #FF9900;
    margin: 6px;
    position:relative;
    display: inline;
    float: left;
}

#Tracker_Status_Panel {
    height: 42px;
    z-index: 1000;
    border-radius: 5px;
    background-repeat: no-repeat;
    background-position: 6px 3px;
    padding: 0px;
    border: 1px solid #FF9900;
    margin: 6px;
    position:relative;
    display: inline;
    float: right;
}

#Tracker_Nav_Panel {
    z-index: 1000;
    border-radius: 5px;
    display:inline;
    padding: 0px;
    border: 1px solid #FF9900;
    top: 56px; 
    right:0px;
    margin: 6px;
    position: absolute;
    background-color: rgba(0,0,0,.7);
}

#Tracker_Legend_Panel {
    z-index: 1000;
    border-radius: 5px;
    background-color: rgba(0,0,0,.7);
    display: inline;
    float: left;
    right: -25px;
    border: 1px solid #FF9900;
    top: 0px; 
    margin: 0px;
    position: relative;
    min-width: 210px;
    min-height: 275px;
    opacity: 0;
    transition: 1s;
}

#Tracker_SnowDepth_Panel {
    z-index: 1000;
    border-radius: 5px;
    background-color: rgba(0,0,0,.7);
    display: inline;
    float: left;
    right: 25px;
    border: 1px solid #FF9900;
    top: 0px;
    margin: 0px;
    position: absolute;
    min-width: 210px;
    min-height: 236px;
    opacity: 0;
    transition: 1s;
}

.Tracker_SnowDepth_min_max_field {
    text-align: right;
    border: 1px solid white;
    border-radius: 5px;
    display: inline-block;
    padding: 1px 6px 1px 6px;
    font-size: small;
    font-family: Verdana;
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;
    border-color: white;
    color: white;
    background-color: black;
    transition: 1s;
    min-width: 60px;
}

.data_light {
    font-weight: normal;
    font-size: 10pt;
    z-index: 100;
    color: aqua;
    direction: ltr;
    padding: 0;
    font-family: Verdana;
    position: absolute;
    height: 16px;
    width: 16px;
    background-color: transparent;
    text-align: left;
    border-radius: 0px;
    border-width: 1px;
    border-style: solid;
    transition: 1s all;
}

    .data_light.blue {
        background-color: hsla(240,80%,60%,.7);
        border-color: hsla(240,80%,60%,1);
    }

    .data_light.red {
        background-color: hsla(0,80%,60%,.7);
        border-color: hsla(0,80%,60%,1);
    }

    .data_light.rainbow {
        background-image: linear-gradient(hsla(0,80%,60%,.8),hsla(60,80%,60%,.8),hsla(120,80%,60%,.8), hsla(180,80%,60%,.8), hsla(240,80%,60%,.8));
        border-color: black;
    }

#Tracker_Trail_Select_Panel {
    z-index: 1000;
    width: 360px;
    bottom: 0px;
    position: absolute;
    border: 1px solid #FF9900;
    border-radius: 5px 5px 5px 5px;
    top: 0px;
    margin: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0,.7);
    opacity: 0;
    transition: 1s;
}

#Tracker_Righthand_Panel {
    position: absolute;
    top: 106px;
    width: 362px;
    margin: 6px;
    float: left;
    bottom: 65px;
    right: -369px;
    transition: 1s;
}

#Tracker_Legend_Container_Panel {
    position: relative;
    top: 0px;
    width: 262px;
    margin: 0px;
    float: left;
    bottom: 65px;
    right: 25px;
    transition: 1s;
}

#Tracker_Trail_Select_Header_Panel {
    position: absolute;
    z-index: 100;
    border-radius: 5px 5px 0px 0px;
    width: 360px;
    height: 35px;
    left: 0px;
    top: 0px;
    background-color: rgba(0, 0, 0, 0.7);
}

#Tracker_Trail_Select_Table_Body_Panel {
    position: absolute;
    z-index: 100;
    width: 360px;
    bottom: 0px;
    left: 0px;
    top: 35px;
    background-color: rgba(192, 192, 192, 0.7);
    overflow-x: hidden;
    overflow-y: scroll;
}

#Tracker_Trail_Tables_Container {
    left: -448px;
    top: 56px;
    bottom: 313px;
    margin: 6px;
    width: 440px;
    position: absolute;
    /*background-color: aquamarine;*/
    transition: 1s;
    opacity: 0;
}

#Tracker_Trail_Table1_Container_Panel {
    z-index: 1000;
    width: 440px;
    bottom: 0px;
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0);
    opacity: 1;
    transition: 1s;
}

#Tracker_Trail_Table2_Container_Panel {
    z-index: 1000;
    width: 855px;
    bottom: 0px;
    position: absolute;
    top: 0px;
    left: 419px;
    background-color: rgba(0, 0, 0, 0);
    display: none;
}

#Tracker_Trail_Table1_Body_Panel {
    border: 1px solid rgb(244, 145, 30);
    position: absolute;
    z-index: 100;
    width: 440px;
    bottom: 66px;
    left: 0px;
    top: 60px;
    background-color: rgba(192, 192, 192, 0.7);
    overflow-x: hidden;
    overflow-y: scroll;
}

#Tracker_Trail_Table2_Body_Panel {
    border-right: 1px solid rgb(244, 145, 30);
    border-top: 1px solid rgb(244, 145, 30);
    border-bottom: 1px solid rgb(244, 145, 30);
    position: absolute;
    z-index: 100;
    width: 855px;
    bottom: 66px;
    left: 0px;
    top: 60px;
    background-color: rgba(192, 192, 192, 0.7);
    overflow-x: hidden;
    overflow-y: scroll;
}

#Tracker_Trail_Table1_Footer_Panel {
    border: 1px solid rgb(244, 145, 30);
    position: absolute;
    z-index: 999;
    width: 440px;
    height: 65px;
    left: 0px;
    bottom: 0px;
    background-color: rgba(128, 128, 128, 0.7);
    border-radius: 0px 0px 5px 5px;
}

#Tracker_Trail_Table2_Footer_Panel {
    border: 1px solid rgb(244, 145, 30);
    border-left: none;
    position: absolute;
    z-index: 999;
    width: 855px;
    height: 65px;
    left: 0px;
    bottom: 0px;
    background-color: rgba(128, 128, 128, 0.7);
    border-radius: 0px 0px 5px 0px;
}

#iSno_Report_Detail_Panel {
    left: 650px;
    top: 56px;
    width: 279px;
    height: 329px;
    z-index: 100;
    position: absolute;
    font-size: 14pt;
    font-weight: bold;
    color: white;
    direction: ltr;
    line-height: 32px;
    font-family: Verdana;
    background-color: transparent;
    text-align: left;
    text-decoration: none;
    background-image: url('../Images/iSno_Report_Detail.png');
    display: none;
}

#HKD_Logo {
     z-index: 100;
     position: absolute;
     height: 59px;
     right: 0px;
     bottom: 0px;
     margin: 6px;
}

#iSno_Map_Panel {
    height: 100%;
    width: 100%;
    position: relative;
    z-index: -1;
}

#iSno_Compressor_MUM_Detail_Panel {
    left: 400px; 
    top: 123px; 
    width: 436px; 
    height: 291px; 
    z-index: 1000; 
    position: absolute; 
    font-size: 16pt; 
    font-weight: bold; 
    font-family: Verdana; 
    color: white; 
    border-radius: 3px; 
    background-repeat: no-repeat; 
    background-image: url('../Images/compressor_mum_detail.png'); 
    display: none;
}

#iSno_Compressor_EL_Detail_Panel {
    left: 400px; 
    top: 123px; 
    width: 436px; 
    height: 291px; 
    z-index: 1000; 
    position: absolute; 
    font-size: 16pt; 
    font-weight: bold; 
    font-family: Verdana; 
    color: white; 
    border-radius: 3px; 
    background-repeat: no-repeat; 
    background-image: url('../Images/compressor_el_detail.png'); 
    display: none;
}

#iSno_Climate_Control_Panel {
    left: 49px;
    top: 415px;
    width: 435px;
    height: 282px;
    z-index: 1000;
    position: absolute;
    font-size: 16pt;
    font-weight: bold;
    font-family: Verdana;
    color: white;
    border-radius: 3px;
    background-repeat: no-repeat;
    background-image: url('../Images/climate_control_detail.png');
    display: none;
}

/*class selectors*/

.iSno_panel {
    left: 0px; 
    top: 0px; 
    width: 100%; /*1915px;*/ 
    height: 100%; /*935px;*/ 
    min-width: 1920px;
    min-height: 935px;
    position: absolute;
    z-index: 100; 
    background-repeat: no-repeat;
    display: none;
    overflow: hidden;
    background-color: rgb(140,140,140);
}

.large_iSno_panel {
    left: 80px;
    top: 80px;
    width: 1755px;
    height: 820px;
    position: absolute;
    background-position: left top;
    background-repeat: no-repeat;
    background-color: #000000;
    z-index: 100;
}

.small_iSno_panel {
    left: 80px;
    top: 80px;
    width: 1435px;
    height: 745px;
    position: absolute;
    background-position: left top;
    background-repeat: no-repeat;
    background-color: #000000;
    z-index: 100;
}

.iSno_sidebar_panel {
    position: absolute;
    left: 1525px;
    top: 80px;
    width: 310px;
    height: 820px;
}

.iSno_lowerbar_panel {
    position: absolute;
    left: 80px;
    top: 835px;
    width: 1435px;
    height: 65px;
}

.server_time {
    left: 1747px; 
    top: 28px; 
    width: 143px; 
    height: 18px; 
    position: absolute; 
    pointer-events: none; 
    font-size: 10pt; 
    font-weight: normal; 
    vertical-align: middle; 
    color: yellow; 
    direction: ltr; 
    border-style: none; 
    font-family: Verdana; 
    background-color: transparent; 
    text-align: center;
    z-index: 103; 
}

.revision {
    left: 57px; 
    top: 906px; 
    width: 40px; 
    height: 16px; 
    position: absolute; 
    pointer-events: none; 
    font-size: 10pt; 
    font-weight: bold;
    vertical-align: middle; 
    color: white; 
    direction: ltr; 
    font-family: Verdana; 
    background-color: gray; 
    text-align: center;
    z-index: 108; 
}

.hover_fade {
    opacity: 0;
    transition: opacity 0.25s ease-in-out;
    -o-transition: opacity 0.25s ease-in-out;
    -moz-transition: opacity 0.25s ease-in-out;
    -webkit-transition: opacity 0.25s ease-in-out;
}

    .hover_fade:hover {
        opacity: 1;
        transition: opacity 0.25s ease-in-out;
        -o-transition: opacity 0.25s ease-in-out;
        -moz-transition: opacity 0.25s ease-in-out;
        -webkit-transition: opacity 0.25s ease-in-out;
    }

.hover_appear {
    opacity: 0;
    transition: opacity;
    -o-transition: opacity;
    -moz-transition: opacity;
    -webkit-transition: opacity;
}

    .hover_appear:hover {
        opacity: 1;
        transition: opacity;
        -o-transition: opacity;
        -moz-transition: opacity;
        -webkit-transition: opacity;
    }

/*.overview_gray_indicator {
    width: 29px;
    height: 29px;
    z-index: 100;
    transition: 1s;
    position: absolute;
    background-image: url(../Images/Round_Gray_Indicator.png);
}

.overview_green_indicator {
    width: 29px;
    height: 29px;
    z-index: 100;
    transition: 1s;
    position: absolute;
    background-image: url(../Images/Round_Green_Indicator.png);
}

.overview_alarm_indicator {
    width: 29px;
    height: 29px;
    z-index: 100;
    transition: 1s;
    animation: fade 1s infinite alternate;
    position: absolute;
    background-image: url(../Images/Round_Yellow_Indicator.png);
}
@keyframes fadeIn { 
  from { opacity: 0; } 
}

.indicator_background {
    opacity: 1;
    z-index: 90;
    transition: 0s;
}

.overview_alarm_indicator.indicator_background {
    background-image: url(../Images/Round_Red_Indicator.png);
}*/

.trail_table {
    font-family: "Verdana";
    position: absolute;
    /*width: 600px;*/
    text-align: center;
    /*border-collapse: collapse;*/
}

    .trail_table td, .trail_table th {
        border: 1px solid #ddd;
        padding: 8px;
    }

    .trail_table tr:nth-child(odd) td {
        background-color: #f2f2f2;
    }

    .trail_table:not(.nohover) tr:hover:not(.nohover) td {
        background-color: #f0e68c;
    }

    .trail_table:not(.nohover) td:hover:not(.nohover) {
        background-color: #f0e68c;
    }

    .trail_table tr td.active_guns {
        background-color: aqua;
    }

.trail_table th {
    font-weight: bold;
    font-size: 10pt;
    color: white;
    font-family: Verdana;
    height: 16px;
    background-color: black;
    text-align: center;
    padding-top: 2px;
    padding-bottom: 2px;
}

.trail_table td {
    font-size: 10pt;
    color: black; 
    font-family: Verdana; 
    height: 16px;
    background-color: white; 
    text-align: center;
    padding-top: 2px;
    padding-bottom: 2px;
}

.alarm {
    color: red;
    animation: alarm .5s infinite alternate;
}

.alarm_box {
    font-weight: normal; 
    font-size: 10pt; 
    z-index: 999; 
    color: red; 
    font-family: Verdana; 
    position: absolute; 
    padding: 0;
    height: 18px; 
    background-color: black; 
    text-align: center; 
    border-radius: 3px; 
    animation: alarm .5s infinite alternate;
}

@keyframes alarm {
    from {color: red;}
    to {color: yellow;}
}

@keyframes defrosting {
    from {color: blue;}
    to { color: aqua;}
}

.basic_text {
    border-style: none;
    font-weight: normal;
    font-size: 10pt;
    z-index: 100;
    vertical-align: middle;
    color: black;
    direction: ltr;
    padding-top: 0px;
    font-family: Verdana;
    position: absolute;
    height: 18px;
    background-color: transparent;
    text-align: left;
    pointer-events: none;
}

.data_box {
    font-weight: bold; 
    font-size: 10pt; 
    z-index: 100; 
    font-family: Verdana; 
    vertical-align: middle; 
    padding: 0;
    position: absolute; 
    height: 18px; 
    width: 52px; 
    background-color: white; 
    text-align: center; 
    border-radius: 3px;
    pointer-events: none;
}

.data_display {
    border-style: none; 
    font-weight: normal;
    font-size: 10pt; 
    z-index: 100; 
    color: aqua; 
    direction: ltr; 
    padding-top: 0;
    font-family: Verdana; 
    position: absolute;
    height: 18px; 
    background-color: transparent; 
    text-align: left; 
    border-radius: 5px 0 0 5px; 
    margin-left: 2px;
    pointer-events: none;
}

.data_input {
    border-style: none; 
    font-weight: normal;
    font-size: 10pt; 
    z-index: 100; 
    left: 132px; 
    text-align: left; 
    color: aqua; 
    direction: ltr; 
    padding-top: 0;
    padding-left: 6px;
    font-family: Verdana; 
    position: absolute;
    height: 18px; 
    background-color: transparent; 
    border-radius: 5px 0 0 5px; 
}

.large_data_display {
    border-style: none; 
    font-weight: normal; 
    font-size: 14pt; 
    z-index: 100; 
    vertical-align: middle; 
    color: aqua; 
    direction: ltr; 
    font-family: Verdana; 
    position: absolute; 
    height: 24px; 
    background-color: transparent; 
    text-align: center; 
    border-radius: 5px 0 0 5px;
    pointer-events: none;
    /*transition: 1s;*/
}

    .large_data_display.enabled {
        color: lime;
        transition: 1s;
    }

    .large_data_display.disabled {
        color: rgb(192, 192, 192);
        transition: 1s;
    }

.status_display {
    border: 1px solid white;
    font-weight: normal;
    font-size: 10pt;
    z-index: 100;
    vertical-align: middle;
    padding: 0;
    color: white;
    font-family: Verdana;
    position: absolute;
    height: 20px;
    background-color: red;
    text-align: center;
    border-radius: 3px;
    pointer-events: none;
}

    .status_display.enabled {
        color: black;
        background-color: lime;
        transition: 1s;
    }

    .status_display.disabled {
        color: white;
        background-color: red;
        transition: 1s;
    }

.status_box {
    font-weight: bold;
    font-size: 10pt;
    z-index: 100;
    vertical-align: middle;
    padding: 0px;
    direction: ltr;
    font-family: Verdana;
    position: absolute;
    background-color: black;
    color: red;
    text-align: center;
    border-radius: 3px;
    pointer-events: none;
}

    .status_box.enabled {
        color: black;
        background-color: lime;
        transition: 1s;
    }

    .status_box.disabled {
        color: black;
        background-color: silver;
        transition: 1s;
    }

    .status_box.defrosting {
        color: aqua;
        background-color: black;
        animation: defrosting 1s infinite alternate;
    }

.nav_button{
    top: 6px;
    width: 120px; 
    height: 44px; 
    border-width: 2px; 
    border-color: ButtonFace; 
    font-weight: bold;
    font-size: 10pt; 
    z-index: 1000; 
    color: white; 
    background-repeat: no-repeat; 
    font-family: Verdana; 
    padding: 0px;
    margin-right: 6px;
    border-radius: 5px; 
    position:relative;
    display: inline;
    float: left;
}

.tracker_label{
    border-style: none; 
    font-weight: normal; 
    font-size: 10pt; 
    z-index: 106; 
    left: 2px; 
    color: white; 
    font-family: verdana; 
    top: 10px; 
    height: 18px; 
    background-color: transparent; 
    position: relative;
    display: inline;
    float: left;
    padding: 2px;
    padding-right:6px;
    margin: 2px;
}

.nav_data_display {
    top: 11px; 
    font-weight: normal; 
    font-size: 10pt; 
    z-index: 107; 
    width: 60px; 
    color: #00FFFF; 
    font-family: verdana; 
    background-color: black; 
    text-align: center; 
    border-radius: 5px;
    position: relative;
    display: inline;
    float: left;
    pointer-events: none;
}

.basic_button{
    background-position: center center; 
    font-weight: normal; 
    font-size: 9pt;
    z-index: 100; 
    vertical-align: middle; 
    padding: 0;
    background-repeat: no-repeat; 
    font-family: Verdana; 
    position: absolute; 
    background-color: buttonface; 
    text-align: center; 
    border-radius: 3px
}


    .basic_button.toggle_hydrants {
        padding: 6px;
    }

.tracker_nav_button {
    margin: 6px;
    margin-right: 1px;
    margin-left: 1px;
    padding: 4px;
    display: inline;
    border-radius: 5px;
    font-size: 10pt;
    font-family: 'Arial'; 
    min-width: 30px;
    min-height: 30px;
    position: relative;
}

.first_button {
    margin-left: 6px;
}

.last_button {
    margin-right: 6px;
}

.rotate {
    font-family: Tahoma; 
}

.slide_in_from_left {
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    transition: 1s;
    transform: translate(448px);
}

.slide_in_from_right {
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    transition: 1s;
    transform: translate(-368px);
}

.slide_in_legend {
    opacity: 1 !important;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    transition: 1s;
    transform: translate(-218px);
}


.fade_in {
    opacity: 1 !important;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    transition: 1s;
}

.slide_in_from_right.slide_in_further_right {   
    right: 327px !important;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    transition: 1s;
}

.basic_button:active:hover{
    background-color: darkgray; 
}

.reset_button{
    width: 152px; 
    height: 27px;
}

.auto_button{
    left: 4px; 
    top: 26px; 
    width: 75px; 
    height: 22px;
}

.manual_button{
    left: 83px; 
    top: 26px; 
    width: 75px; 
    height: 22px;
}

.small_button{
    background-position: center center; 
    font-weight: normal; 
    font-size: 8pt;
    z-index: 100; 
    vertical-align: middle; 
    padding: 0;
    background-repeat: no-repeat; 
    font-family: Verdana; 
    position: absolute; 
    background-color: buttonface; 
    text-align: center; 
    border-radius: 3px
}

.small_button:active:hover{
    background-color: darkgray; 
}

.machine_button{
    background-position: center center; 
    font-weight: bold; 
    z-index: 100; 
    vertical-align: middle; 
    color: white; 
    background-repeat: no-repeat; 
    font-family: Verdana;
    position: absolute; 
    background-color: gray;
    text-align: center; 
    border-radius: 3px
}

.pump_start{
    left: 5px; 
    top: 28px; 
    width: 46px; 
    height: 55px; 
    background-color: green; 
    font-size: 16pt
}

.pump_stop{
    left: 56px; 
    top: 28px; 
    width: 46px; 
    height: 55px; 
    background-color: red;
    font-size: 19pt;
}

.ia_start{
    left: 69px; 
    top: 26px; 
    width: 42px; 
    height: 40px; 
    background-color: green; 
    font-size: 16pt;
    padding: 0px;
    display: none;
}

.ia_stop{
    left: 116px; 
    top: 26px; 
    width: 42px; 
    height: 40px; 
    background-color: red;
    font-size: 18pt;
    padding: 0px;
    display: none;
}

.glycol_start {
    left: 5px;
    top: 28px;
    width: 46px;
    height: 55px;
    background-color: green;
    font-size: 16pt
}

.glycol_stop {
    left: 56px;
    top: 28px;
    width: 46px;
    height: 55px;
    background-color: red;
    font-size: 19pt;
}

.louver_start {
    left: 5px;
    top: 28px;
    width: 46px;
    height: 55px;
    background-color: green;
    font-size: 16pt
}

.louver_stop {
    left: 56px;
    top: 28px;
    width: 46px;
    height: 55px;
    background-color: red;
    font-size: 19pt;
}

.aftercooler_start {
    left: 5px;
    top: 28px;
    width: 44px;
    height: 40px;
    background-color: green;
    font-size: 16pt
}

.aftercooler_stop {
    left: 54px;
    top: 28px;
    width: 44px;
    height: 40px;
    background-color: red;
    font-size: 19pt;
}

.aftercooler_auto {
    color: black;
    left: 5px;
    top: 72px;
    width: 93px;
    height: 21px;
    background-color: yellow;
    font-size: 8pt;
}

.aftercooler_setpoint {
    width: 34px;
    left: 6px;
    top: 98px;
}

.aftercooler_setpoint_button {
    left: 72px;
    width: 25px;
    top: 97px;
    height: 21px;
}

.overview_panel {
    z-index: 1;
    width: 318px;
    height: 302px;
    position: absolute;
}

.initial_element{
    margin-top: 8px;
}

.overview_title {
    border-style: none;
    font-weight: bold;
    font-size: 11pt;
    z-index: 100;
    vertical-align: middle;
    color: white;
    direction: ltr;
    font-family: Verdana;
    position: absolute;
    top: 1px;
    height: 18px;
    background-color: transparent;
    text-align: center;
    pointer-events: none;
    width: 100%;
    margin: 2px auto;
}

.control_text {
    font-weight: bold;
    font-size: small;
    z-index: 100;
    left: 18px;
    width: 68px;
    font-family: Verdana;
    position: absolute;
    text-align: center;
    margin-top: 4px;
    color: white;
}

.pump_panel{
    left: 160px; 
    top: 548px; 
    height: 96px;
    width: 165px;
    z-index: 121;  
    position: absolute; 
}

.pump_image{
    left: 0px; 
    top: 0px; 
    height: 96px;
    width: 44px;
    z-index: 97;  
    position: absolute; 
}

.pump2_image{
    left: 0px; 
    top: 0px; 
    height: 54px;
    width: 109px;
    z-index: 97;  
    position: absolute; 
}

.cog_image {
    left: 0px;
    top: 0px;
    height: 24px;
    width: 24px;
    z-index: 97;
    position: absolute;
}

.instrument_air_image {
    left: 5px; 
    top: 26px; 
    height: 41px;
    width: 51px;
    z-index: 97;  
    position: absolute; 
}

.air_blast_image {
    left: 3px; 
    top: 27px; 
    height: 37px;
    width: 41px;
    z-index: 97;  
    position: absolute; 
}

.aftercooler_panel {
    height: 123px;
    width: 102px;
    z-index: 100;
    position: absolute;
}

.aftercooler_control_panel {
    left: 0px;
    top: 0px;
    width: 102px;
    height: 123px;
    z-index: 100;
    position: absolute;
    display: none;
    background-image: url(../Images/Aftercooler_Fan_Inverse.png);
}

.aftercooler_image {
    left: 0px;
    top: 0px;
    z-index: 100;
    width: 102px;
    height: 123px;
    position: absolute;
}

.aftercooler_speed {
    left: 23px;
    top: 80px;
}

.aftercooler_temperature {
    left: 23px;
    top: 100px;
}

.ac_temperature_label {
    left: unset;
    right: 0px;
    bottom: 0px;
    width: 20px;
    margin: 4px;
}

.pump_amps {
    left: 61px;
    top: 32px;
    height: 18px;
    width: 44px;
}

.pump_hours{
    left: 61px; 
    top: 60px;
    height: 18px; 
    width: 58px; 
}

.pump_control_panel{
    left: 55px;
    top: 2px; 
    height: 87px; 
    width: 107px;
    z-index: 1000;
    position: absolute;    
    display: none;
    background-image: url('../Images/Pump_Control_BG.png');
}

.pump2_control_panel{
    left: 1px;
    top: 64px; 
    height: 87px; 
    width: 107px;
    z-index: 1000;
    position: absolute;    
    display: none;
    background-image: url('../Images/Pump_Control_BG.png');
}

.compressor_panel {
    z-index: 100; 
    width: 322px; 
    position: absolute; 
    top: 158px; 
    height: 117px;
}

.compressor_control_panel {
    z-index: 100;
    left: 185px;
    top: 0px;
    height: 117px;
    width: 137px;
    position: absolute;
    display: none;
    background-image: url('../Images/Compressor_Control_BG.png');
}

.compressor_vertical_panel {
    z-index: 100;
    width: 184px;
    position: absolute;
    top: 158px;
    height: 253px
}

.compressor_title {
    left: 190px;
    width: 130px; 
    font-weight: bold;
    font-size: small;
    z-index: 100;
    font-family: Verdana;
    position: absolute;
    text-align: center;
    margin-top: 4px;
}

.compressor_amps {
    left: 7px; 
    top: 31px; 
    width: 44px;
    height: 18px;
}

.compressor_hours {
    left: 7px;
    top: 59px;
    width: 58px;
}

.compressor_status {
    left: 4px;
    top: 89px;
    width: 120px;
    height: 18px;
    text-align: center;
}

.compressor_status1 {
    left: 192px; 
    top: 90px; 
    width: 120px; 
    height: 18px; 
    text-align: center;
}

.compressor_status2 {
    left: 192px; 
    top: 113px; 
    width: 120px; 
    height: 18px; 
    text-align: center;
}

.compressor_detail_status1 {
    left: 184px; 
    top: 50px; 
    width: 150px; 
    height: 18px; 
    text-align: center;
}

.compressor_detail_status2 {
    left: 184px; 
    top: 72px; 
    width: 120px; 
    height: 18px; 
    text-align: center;
}

.compressor_el_image {
    left: 0px;
    top: 0px;
    width: 160px;
    height: 128px;
    z-index: 97;
    position: absolute;
}

.compressor_ir_image {
    left: 0px;
    top: 0px;
    width: 184px;
    height: 123px;
    z-index: 97;
    position: absolute;
}

.compressor_mum_image {
    left: 0px; 
    top: 13px; 
    width: 162px; 
    height: 116px;
    z-index: 97; 
    position: absolute; 
}

.compressor_qsi_image {
    left: 0px;
    top: 1px;
    width: 160px;
    height: 115px;
    z-index: 97;
    position: absolute;
}

.compressor_boge_image {
    left: 7px; 
    top: 13px; 
    width: 148px; 
    height: 123px;
    z-index: 97; 
    position: absolute; 
}

.compressor_start {
    left: 16px; 
    top: 50px; 
    width: 40px; 
    height: 40px; 
    background-color: green;
    font-size: 16pt
}

.compressor_stop {
    left: 60px;
    top: 50px;
    width: 40px;
    height: 40px;
    background-color: red;
    font-size: 19pt;
}

.compressor_start_alt {
    left: 5px;
    top: 28px;
    width: 61px;
    height: 85px;
    background-color: green;
    font-size: 16pt
}

.compressor_stop_alt {
    left: 71px;
    top: 28px;
    width: 61px;
    height: 85px;
    background-color: red;
    font-size: 19pt;
}

.compressor_load {
    left: 336px; 
    top: 50px; 
    width: 40px; 
    height: 40px; 
    color: black;
    background-color: aqua;
    font-size: 16pt
}

.compressor_unload {
    left: 380px; 
    top: 50px; 
    width: 40px; 
    height: 40px; 
    color: black;
    background-color: magenta;
    font-size: 19pt;
}

.compressor_detail_setpoint {
    left: 137px; 
    width: 34px; 
    top: 103px; 
    height: 18px;
}

.compressor_detail_setpoint_button {
    left: 214px; 
    width: 32px; 
    top: 102px; 
    height: 21px; 
}

.compressor_detail_reset_button {
    left: 299px; 
    width: 42px; 
    top: 152px; 
    height: 21px; 
    font-size: 8pt;
}

.pid_panel{
    height: 150px;
    width: 240px;
    z-index: 156;  
    position: absolute;  
}

.pid_status{
    left: 162px; 
    top: 26px; 
    height: 20px;
    width: 72px; 
}

.power_status {
    left: 4px;
    top: 25px;
    width: 111px;
    height: 18px;
}

.pressure_mode{
    left: 162px; 
    top: 125px; 
    height: 20px;
    width: 72px; 
    background-color: blue; 
}

.auto_setpoint{
    left: 132px; 
    top: 52px; 
    height: 18px;
    width: 34px; 
}

.auto_back_setpoint{
    left: 132px; 
    top: 52px; 
    height: 18px;
    width: 34px; 
}

.auto_hill_setpoint{
    left: 132px; 
    top: 77px; 
    height: 18px;
    width: 34px; 
}

.manual_setpoint{
    left: 132px; 
    top: 102px; 
    height: 18px;
    width: 34px; 
}

.auto_setpoint_button{
    left: 204px; 
    top: 51px; 
    height: 21px; 
    width: 32px; 
}

.auto_back_setpoint_button{
    left: 204px; 
    top: 51px; 
    height: 21px; 
    width: 32px; 
}

.auto_hill_setpoint_button{
    left: 204px; 
    top: 76px; 
    height: 21px; 
    width: 32px; 
}

.manual_setpoint_button{
    left: 204px; 
    top: 101px; 
    height: 21px; 
    width: 32px; 
}

.master_alarm_text {
    font-weight: bold;
    font-size: small;
    z-index: 100;
    left: 58px;
    width: 98px;
    font-family: Verdana;
    position: absolute;
    text-align: center;
    margin-top: 6px;
}

.large_close_button{
    right: 5px;
    top: 5px; 
    width: 30px;
    height: 30px; 
    background-position: center center; 
    font-weight: normal; 
    font-size: 14pt;
    z-index: 100; 
    vertical-align: middle; 
    background-repeat: no-repeat; 
    font-family: Verdana; 
    position: absolute; 
    padding-bottom: 2px;
    text-align: center;
    border: 1px solid gray;
}

.large_close_button:active:hover{
    background-color: darkgray; 
}

.small_close_button{
    right: 5px;
    top: 3px; 
    width: 18px; 
    height: 18px; 
    padding: 0;
    background-position: center center; 
    font-weight: bold; 
    font-size: 10pt; 
    z-index: 200; 
    vertical-align: middle; 
    background-repeat: no-repeat;
    font-family: Verdana; 
    position: absolute; 
    text-align: center;
    border: 1px solid gray;
}

.small_close_button:active:hover{
    background-color: darkgray; 
}

.detail_window_title{
    border-style: none; 
    font-weight: bold; 
    font-size: 14pt; 
    z-index: 100; 
    color: white; 
    line-height: 32px; 
    font-family: Verdana; 
    position: relative; 
    height: 32px; 
    background-color: transparent; 
    text-align: left;
    padding-left: 4px;
    margin: 4px;
}

.aftercooler_speed_label {
    left: auto;
    right: 0px;
    bottom: 20px;
    width: 20px;
    margin: 2px;
}

.aftercooler_temperature_label {
    left: auto;
    right: 0px;
    bottom: 0px;
    width: 20px;
    margin: 4px;
}

.water_level {
    left: 0px;
    bottom: 0px;
    width: 100%;
    height: 50%;
    max-height: 100%;
    z-index: 100;
    transition: 1s;
    background-color: blue;
    position: absolute;
}

/*Tracker Panel Classes*/
.tracker_panel_hide_button {
    left: 0px;
    top: 0px;
    width: 26px;
    height: 26px;
    margin: 5px;
    font-weight: bold;
    font-size: 6pt;
    z-index: 100;
    color: #FFF;
    background-color: #000;
    font-family: verdana;
    position: absolute;
    text-align: center;
    border-radius: 3px;
}

.tracker_panel_expand_button {
    font-weight: bold;
    font-size: 6pt;
    z-index: 1000;
    right: 0px;
    width: 26px;
    color: rgb(255, 255, 255);
    font-family: verdana;
    position: absolute;
    top: 0px;
    height: 26px;
    text-align: center;
    background-color: rgb(0, 0, 0);
    border-radius: 3px;
    margin: 5px;
}

.tracker_trail_title {
    left: 31px;
    top: 0px;
    width: 231px;
    height: 22px;
    margin: 5px;
    font-weight: normal;
    border: 1px solid #FFFFFF;
    font-size: 11pt;
    z-index: 100;
    vertical-align: middle;
    color: #00FFFF;
    background-color: #000;
    font-family: verdana;
    position: relative;
    text-align: center;
    border-radius: 3px;
}

.tracker_trail_on_button {
    font-size: 10pt;
    z-index: 100;
    left: 269px;
    width: 40px;
    color: #FFFFFF;
    font-family: verdana;
    position: absolute;
    top: 0px;
    height: 26px;
    text-align: center;
    background-color: #008000;
    border-radius: 3px;
    right: 110px;
    vertical-align: middle;
    margin: 5px;
}

.tracker_trail_off_button {
    font-size: 10pt;
    z-index: 100;
    left: 314px;
    width: 40px;
    color: #FFFFFF;
    font-family: verdana;
    position: absolute;
    top: 0px;
    height: 26px;
    text-align: center;
    background-color: #FF0000;
    border-radius: 3px;
    right: 68px;
    vertical-align: middle;
    margin: 5px;
}

.tracker_trail_status {
    border-width: 2px;
    border-style: inset;
    border-image: initial;
    font-weight: normal;
    font-size: 10pt;
    z-index: 103;
    left: 359px;
    vertical-align: middle;
    width: 36px;
    color: rgb(255, 255, 255);
    direction: ltr;
    font-family: verdana;
    position: absolute;
    top: 0px;
    background-color: rgb(0, 0, 0);
    text-align: center;
    border-radius: 3px;
    height: 20px;
    margin: 5px;
}

.tracker_hydrant_detail_panel {
    border: 1px solid rgb(244, 145, 30);
    z-index: 999;
    left: /*0px;*/ -448px;
    width: /*1273px;*/ 440px;
    position: absolute;
    bottom: 0px;
    height: 305px;
    background-color: rgb(128, 128, 128);
    border-radius: 5px;
    overflow: hidden;
    transition: 1s;
    margin: 6px;
    opacity: 0;
}

.tracker_hydrant_detail_title {
    left: 31px;
    top: 0px;
    width: 290px;
    height: 22px;
    margin: 5px;
    font-weight: normal;
    border: 1px solid #FFFFFF;
    font-size: 11pt;
    z-index: 100;
    vertical-align: middle;
    color: #00FFFF;
    background-color: #000;
    font-family: verdana;
    position: absolute;
    text-align: center;
    border-radius: 3px;
}

.tracker_hydrant_detail_lockout_button {
    background-position: center;
    font-size: 10pt;
    z-index: 126;
    left: 328px;
    width: 71px;
    color: #000000;
    background-repeat: no-repeat;
    font-family: Verdana;
    position: absolute;
    top: 0px;
    height: 26px;
    border-radius: 3px;
    margin: 5px;
}

.button_disabled {
    color: rgb(0, 0, 0);
    background-color: rgb(128, 128, 128);
    pointer-events: none;
}

.expand_tracker_detail {
    width: 1273px;
}

.tracker_detail_notes_panel {
    left: 0px;
    bottom: 0px;
    height: 100px;
    margin: 2px;
    right: 0px;
    max-width: 560px;
    position: absolute;
}

.tracker_detail_notes_text {
    border-style: none;
    font-size: 10pt;
    z-index: 1000;
    width: 100%;
    color: #FFFF00;
    font-family: verdana;
    position: absolute;
    top: 2px;
    background-color: transparent;
    text-align: center;
    margin: 0 auto;
}

.tracker_detail_notes_positioner {
    left: 3px;
    right: 29px;
    bottom: 3px;
    height: 77px;
    z-index: 100;
    max-width: 560px;
    font-family: verdana;
    position: absolute;
    background-color: orange;
    border-radius: 3px;
}

.tracker_detail_notes {
    width: 100%;
    height: 100%;
    z-index: 100;
    resize: none;
    font-size: 10pt;
    font-family: verdana;
    position: absolute;
    color: white;
    background-color: black;
    border-radius: 3px;
    border: 2px inset #FFFFFF;
    box-sizing: border-box;
}

.tracker_detail_notes_set_button {
    font-size: 8pt;
    z-index: 103;
    right: 3px;
    width: 22px;
    color: #000000;
    font-family: verdana;
    position: absolute;
    bottom: 3px;
    border-radius: 3px;
    font-weight: bold;
    text-indent: -3px;
    height: 77px;
}


.tracker_overview_master_alarm {
    color: white;
    border: 1px solid white;
    -webkit-animation: tracker_overview_master_alarm_flash linear 1s infinite;
    animation: tracker_overview_master_alarm_flash linear 1s infinite;
}

@-webkit-keyframes tracker_overview_master_alarm_flash {
    0% {
        color: white;
        border: 1px solid white;
    }

    50% {
        color: red;
        border: 1px solid red;
    }

    100% {
        color: white;
        border: 1px solid white;
    }
}

@keyframes tracker_overview_master_alarm_flash {
    0% {
        color: white;
        border: 1px solid white;
    }

    50% {
        color: red;
        border: 1px solid red;
    }

    100% {
        color: white;
        border: 1px solid white;
    }
}

.tracker_table_master_alarm {
    color: black;
    -webkit-animation: tracker_table_master_alarm_flash linear 1s infinite;
    animation: tracker_table_master_alarm_flash linear 1s infinite;
}

@-webkit-keyframes tracker_table_master_alarm_flash {
    0% {
        color: black;
    }

    50% {
        color: yellow;
    }

    100% {
        color: black;
    }
}

@keyframes tracker_table_master_alarm_flash {
    0% {
        color: black;
    }

    50% {
        color: yellow;
    }

    100% {
        color: black;
    }
}

.tracker_detail_master_alarm {
    border: red inset 2px;
    color: yellow;
    -webkit-animation: tracker_detail_master_alarm_flash linear 1s infinite;
    animation: tracker_detail_master_alarm_flash linear 1s infinite;
}

@-webkit-keyframes tracker_detail_master_alarm_flash {
    0% {
        border: red inset 2px;
        color: yellow;
    }

    50% {
        border: red inset 2px;
        color: white;
    }

    100% {
        border: red inset 2px;
        color: yellow;
    }
}

@keyframes tracker_detail_master_alarm_flash {
    0% {
        border: red inset 2px;
        color: yellow;
    }

    50% {
        border: red inset 2px;
        color: white;
    }

    100% {
        border: red inset 2px;
        color: yellow;
    }
}

.tracker_fan_detail_table_master_alarm {
    color: red;
    -webkit-animation: tracker_fan_detail_table_master_alarm_flash linear 1s infinite;
    animation: tracker_fan_detail_table_master_alarm_flash linear 1s infinite;
}

@-webkit-keyframes tracker_fan_detail_table_master_alarm_flash {
    0% {
        color: red;
    }

    50% {
        color: yellow;
    }

    100% {
        color: red;
    }
}

@keyframes tracker_fan_detail_table_master_alarm_flash {
    0% {
        color: red;
    }

    50% {
        color: yellow;
    }

    100% {
        color: red;
    }
}

.tracker_target_flow_alarm {
    background-color: yellow;
    color: black;
    -webkit-animation: tracker_target_flow_alarm_flash linear 1s infinite;
    animation: tracker_target_flow_alarm_flash linear 1s infinite;
}

@-webkit-keyframes tracker_target_flow_alarm_flash {
    0% {
        background-color: black;
        color: white;
    }

    50% {
        background-color: yellow;
        color: black;
    }

    100% {
        background-color: black;
        color: white;
    }
}

@keyframes tracker_target_flow_alarm_flash {
    0% {
        background-color: black;
        color: white;
    }

    50% {
        background-color: yellow;
        color: black;
    }

    100% {
        background-color: black;
        color: white;
    }
}

/* Language selector */
.languagepicker {
    font-family: Verdana; 
    font-weight: bold; 
    font-size: 9pt; 
	background-color: #FFF;
	display: inline-block;
	padding: 0;
	height: 30px;
    width: 170px; 
	overflow: hidden;
	transition: all .3s ease;
	margin: 0 50px 10px 0;
	vertical-align: middle;
    text-align: left;
	float: left;
    border-radius: 5px;
    top: 13px;
    left: 381px;
    z-index: 111;
    position: absolute;
}

.languagepicker:hover {
	/* don't forget the 1px border */
	height: 30px;
}

.languagepicker a{
	color: #000;
	text-decoration: none;
}

.languagepicker li {
	display: block;
	padding: 0px 0px 0px 10px;
	line-height: 30px;
	border-top: 1px solid #EEE;
}

.languagepicker li:hover{
	background-color: #EEE;
}

.languagepicker a:first-child li {
	border: none;
	background: #FFF !important;
}

.languagepicker li img {
	margin-right: 5px;
}